Roles
Role Get
Retreives a role and all its permissions.
GET
Retreives a role and all its permissions.
cookie
storyden-session<token>role_id*stringRole ID
Format
xidOK
application/json- response
id*IdentifierA unique identifier for this resource.
Format
xidcreatedAt*stringThe time the resource was created.
Format
date-timeupdatedAt*stringThe time the resource was updated.
Format
date-timedeletedAt?stringThe time the resource was soft-deleted.
Format
date-timemisc?Arbitrary extra data stored with the resource.
name*stringcolour*stringpermissions*array<>meta?Arbitrary metadata for the resource.
curl -X GET 'https://example.com/api/roles/string'Example Response
{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "colour": "string", "permissions": [ "CREATE_POST" ], "meta": {}}